couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adam Kocoloski <kocol...@apache.org>
Subject Re: What's your Erlang VM version?
Date Thu, 06 Aug 2009 15:31:20 GMT
On Aug 6, 2009, at 3:45 AM, Brian Candler wrote:

> - To me the backtrace suggests a problem with re:split, but it  
> mentions
>  oauth in the same breath
>
> [Thu, 06 Aug 2009 07:40:27 GMT] [error] [<0.104.0>]  
> {error_report,<0.22.0>,
>    {<0.104.0>,crash_report,
>     [[{pid,<0.104.0>},
>       {registered_name,[]},
>       {error_info,
>           {error,undef,
>               [{re,split,
>                    ["{couch_httpd_oauth,  
> oauth_authentication_handler}, {couch_httpd_auth,  
> default_authentication_handler}",

I believe re.erl wasn't stable until at least R12B-5, so that error  
makes sense.  I don't know about the availability of 12B-5 in various  
package management systems, but I'm leaning towards just making that  
the minimum required Erlang version.

Best, Adam


Mime
View raw message